Skip to main content
`Ctrl`+`K`

# STMatMode

Determines how to handle the coefficient matrix of the linear system associated with the spectral transformation.

## Synopsis

    typedef enum { ST_MATMODE_COPY,
                   ST_MATMODE_INPLACE,
                   ST_MATMODE_SHELL } STMatMode;

## Values

- `ST_MATMODE_COPY` - the coefficient matrix is built explicitly on a copy of \(A\)

- `ST_MATMODE_INPLACE` - the coefficient matrix is built explicitly overwriting \(A\)

- `ST_MATMODE_SHELL` - the coefficient matrix is handled implicitly

## See Also

ST: Spectral Transformation, `STSetMatMode()`, `STGetMatMode()`

## Level

intermediate

## Location

include/slepcst.h

Index of all ST routines Table of Contents for all manual pages Index of all manual pages